Bug 1367 - UCD SNMP does not work on 2.2 kernels
Summary: UCD SNMP does not work on 2.2 kernels
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp   
(Show other bugs)
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL: http://www.fi.muni.cz/~kas/cmu-snmp.spec
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-28 03:55 UTC by Jan "Yenya" Kasprzak
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-09 21:40:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan "Yenya" Kasprzak 1999-02-28 03:55:04 UTC
Both CMU SNMP 3.5 and UCD SNMP does not work on 2.2 kernels.
The kernels have different layout of /proc/net/dev file,
which causes SNMP-daemon to report zero traffic on
the network interface in one direction (I don't remember
whether it is outgoing or incoming traffic).

For me it was fixed by installing CMU SNMP version 3.6.
The modified .spec file for the 3.6 can be downloaded
at http://www.fi.muni.cz/~kas/cmu-snmp.spec.

Comment 1 David Lawrence 1999-04-01 21:43:59 UTC
Thank you for you suggestion. It has been passed on to a developer.

Comment 2 wjhardaker 1999-04-08 22:38:59 UTC
The most recent version of the ucd-snmp package (3.6.1) does work with
the 2.2 kernel.

Comment 3 Jeff Johnson 1999-04-09 21:40:59 UTC
Fixed in ucd-snmp-3.6.1. Thanks for the pointer.


Note You need to log in before you can comment on or make changes to this bug.